@import 'variables.css';

body {
    background-color: var(--backgournd-default);
    margin-left: 0;
    margin-right: 0;
    visibility: hidden;
}



/* Hero */


#cookieSnackbar {
  visibility: hidden;
  max-width: 468px;
  min-width: 375px;
  background-color: var(--foreground-primary);
  color: var(--foreground-secodnary);
  text-align: left;
  border-radius: 8px;
  padding: 16px 24px;
  padding-right: 20px;
  position: fixed;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  box-shadow: 0 4px 12px rgba(0,0,0,0.3);
  z-index: 1000;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
  font-family: Gilroy;
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
}

.cookie-icon {
  width: 36px;        
  height: auto;         
  display: block;
  margin-top: 8px;      
  flex-shrink: 0;
}

#cookieSnackbar.show {
  visibility: visible;
  animation: fadeIn 1.0s;
}

.cookie-btn {
  background-color: #252525;
  color: white;
  border: none;
  padding: 12px 16px;
  border-radius: 6px;
  cursor: pointer;
  font-size: 14px;
  font-family: Outfit;
  font-weight: 500;
  transition: background-color ease-in 200ms;

}

.cookie-btn:hover {
  background-color: #363636;
  transition: background-color ease-in 200ms;
}

.cookie-btn:active {
  background-color: #5a5a5a;
  transition: background-color ease-in 200ms;
}


@keyframes fadeIn {
  from {bottom: 0; opacity: 0;}
  to {bottom: 20px; opacity: 1;}
}

.headerContainer {
    padding-top: 16px;
    padding-left: 112px;
    padding-right: 112px;
}


.header-text{
    text-align: center;
    align-content: center;
    margin-top: 80px;
}

.header-text h1{
    font-family: Outfit;
    line-height: 72px;
    letter-spacing: -1px;
    font-size: 60px;
    font-weight: 600;
    margin-top: 16px;
    margin-bottom: 0px;
    color: var(--foreground-primary);
}

.header-text h5{
    font-family: Outfit;
    line-height: 40px;
    font-size: 16px;
    font-weight: 600;
    color: var(--foreground-brand);
    margin-top: 0px;
    margin-bottom: 0px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
}

.icons {
  display: flex;
  width: 160px;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin-left: auto;
  margin-right: auto;
}

.header-text p{
    font-family: Outfit;
    font-size: 20px;
    line-height: 32px;
    font-weight: 500;
    color: var(--foreground-secodnary);
    margin-bottom: 32px;
    margin-top: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
    max-width: 840px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    
}



.cta {
    background-color:var(--background-brand);
    color: var(--foreground-OnBrand);
    border: none;
    border-radius: 8px;
    height: 62px;
    padding-left: 28px;
    padding-right: 28px;
    font-family: Outfit;
    font-weight: 600;
    font-size: 18px;
    line-height: 28px;
    padding-top: 16px;
    padding-bottom: 16px;
    cursor: pointer;
    transition: background-color ease-in 200ms;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
    will-change: transform, opacity;  
    vertical-align: top;


}

.cta:hover {
    background-color: var(--background-brand-hover);
    transition: background-color ease-in 200ms;
    transform: ease-in 200ms;
    will-change: transform, opacity;


}

.cta:active {
    background-color: var(--background-brand-active);
    transition: background-color ease-in 200ms;
    transform: ease-in 200ms;
    scale: 0.96;
    will-change: transform, opacity;
}



.spinner-icon {
  animation: spin 1s linear infinite;
  display: inline-block;
  height: 28px;
  width: 28px;
}

.spinner-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

#submit-btn:disabled {
  opacity: 0.6;
  cursor: not-allowed;
}


.input {
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 16px;
  padding-bottom: 16px;
  border: 1px solid var(--border-primary);
  background-color: var(--background-input);
  border-radius: 8px;
  color: var(--foreground-primary);
  font-size: 18px;
  font-family: Outfit;
  line-height: 28px;
  font-weight: 400;
  transition: border-color ease-in 200ms;
  width: 420px;
  margin-right: 4px;
  caret-color: white;
  will-change: transform, opacity;
}

.input:hover {
  border: 1px solid var(--border-secondary);
  transition: border-color ease-in 200ms;
  will-change: transform, opacity;
}

.input:placeholder-shown {
  color: var(--foreground-secodnary);
  transition: border-color ease-in 200ms;
  will-change: transform, opacity;
}

.input:focus {
  outline: none;
  border: 1px solid var(--border-brand);
  transition: border-color ease-in 200ms;
  will-change: transform, opacity;
}



  #image {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    transition: transform 0.4s ease, margin-top 0.4s ease;
  }
  
  .image-container {
    max-width: 30%;
    padding: 0 20px; /* odstęp wewnętrzny z boków */
  }
  
  .image-container img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
    transition: transform 0.3s ease;

  }

.brand-contaier {
    display: flex;
    align-items: center;
    align-content: center;
    position: relative;
    z-index: 0;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;

}

.band-right {
    position: absolute;
    z-index: -1;
    width: 40vh;
    height: auto;
    top: 15%;
    right: 0;
    transition: 200ms cubic-bezier(0.075, 0.82, 0.165, 1);


}

.band-left {
    position: absolute;
    z-index: -1;
    width: 30vh;
    height: auto;
    top: 40%;
    left: 0;
    transition: 200ms cubic-bezier(0.075, 0.82, 0.165, 1);


    
}



#message {
  margin-top: 10px;
  font-size: 0.95rem;
}




.band-right2 {
  position: absolute;
  z-index: -1;
  width: 65vh;
  height: auto;
  top: 10%;
  right: 0;


}

.band-left2 {
  position: absolute;
  z-index: -1;
  width: 45vh;
  height: auto;
  top: 60%;
  left: 0;
}







@media (max-width: 768px) {
    .band-right {
        width: 50vw;
        top: 15%;
 
     }
    
    .band-left {
        width: 50vw;
        top: 45%;
 
    }

    .phoneNumber p {
      margin-right: 0px;
      margin-left: 0px;
      font-size: 18px;
      }

    .headerContainer {
        padding-top: 8px;
        padding-left: 28px;
        padding-right: 28px;
    }


    .phoneNumber li a {
      color: var(--foreground-primary);
      margin-right: auto;
      margin-left: 0px;
      justify-content: center;
      text-align: center;
      align-items: center;
      margin-top: 16px;
      font-size: 16px;
      font-family: Outfit;
      line-height: 18px;
      font-weight: 500;
      text-decoration: underline;
      list-style: none;
      }

    
    .input {
      font-size: 16px;
      line-height: 26px;
      padding-left: 16px;
      padding-right: 16px;
      padding-top: 12px;
      padding-bottom: 12px;
      width: 100%;
      box-sizing: border-box;
    }

    .icons {
      display: flex;
      width: 120px;
      justify-content: left;
      align-items: left;
      gap: 16px;
      align-content: flex-start;
      margin-left: 0px;
      margin-right: 0px;
    }

    .header-text{
        text-align: left;
        align-content: start;
        margin-top: 80px;
    }
    
    .header-text h5{
        text-align: left;
        font-size: 14px;
    }
    
    
    
    .header-text h1{
        text-align: left;
        line-height: 42px;
        letter-spacing: -1px;
        font-size: 38px;
        font-weight: 600;
        color: var(--foreground-primary);
        max-width: 416px;
    }

    .header-text p{
        text-align: left;
        font-size: 16px;
        line-height: 24px;

    }



      .cta {
        height: auto;
        padding-left: 24px;
        padding-right: 24px;
        font-family: Outfit;
        font-weight: 600;
        font-size: 16px;
        line-height: 20px;
        padding-top: 16px;
        padding-bottom: 16px;
        margin-top: 0px;
        width: 100%;
        margin-top: 12px;
    
    }

    .CTA2 {
        display: none;
    
    }

    .Logo {
        vertical-align: top;
        padding-right: 0px;
        
    
    
    }

      #image {
        padding: 10px;
        display: flex;
        flex-direction: column;
        gap: auto;
      }
    
      .image-container {
        padding: 0 10px;
        max-width: 80%;
      }
    
      .image-container img {
        width: 100%;
      }
    }
  
    


@media (max-width: 480px) {
    .band-right {
        width: 50vw;
        top: 15%;
 
     }
    
    .band-left {
        width: 50vw;
        top: 45%;
 
    }
}

@media (min-width: 1024px) {
    .band-right {
       width: 36vw;
       top: 15%;

    }
   
   .band-left {
       width: 26vw;
       top: 45%;

   }
}


@media (min-width: 1080px) {
     .band-right {
        width: 40vw;
        top: 6%;

     }
    
    .band-left {
        width: 30vw;
        top: 32%;

    }
}


@media (min-width: 2440px) {
    .band-right, .band-left {
        width: 25vw;
        top: 5%;
    }
}

